PUT
/api/integrations/okta-scim-idp/{id}Update an Okta SCIM IDP integration
Updates an existing Okta SCIM IDP integration. Supply any fields you want to change, such as enabled, connector_id, group_prefixes, or user_group_prefixes; all fields are optional.
idintegerrequired
The unique identifier of the Okta SCIM IDP integration, as an integer.
Optional Okta SCIM IDP integration fields to update; all fields are optional.
enabledbooleanoptional
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>optional
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>optional
List of start_with string patterns for groups which users to sync
200Returns the updated Okta SCIM IDP integration object.
enabledbooleanrequired
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>required
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>required
List of start_with string patterns for groups which users to sync
auth_tokenstringrequired
SCIM API token (full on creation/regeneration, masked on retrieval)
idintegerrequired
The unique identifier for the integration
last_synced_atstringrequired
Timestamp of the last synchronization
400Returned when the JSON body is invalid, validation fails, or the integration ID is invalid.
messagestringoptional
A human-readable error message.
401Returned when the request is unauthorized.
messagestringoptional
A human-readable error message.
404Returned when the integration is not found.
messagestringoptional
A human-readable error message.
500Returned when an internal server error occurs.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned when the request body is invalid or id has an invalid format. A 401 is returned when the request is unauthorized, and a 404 is returned when the integration is not found. A 500 is returned for an internal server error.